POST api/MySolar/saveSolar
Request Information
URI Parameters
None.
Body Parameters
clsMySolarDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| MySolarId | globally unique identifier |
None. |
|
| RegistrationId | globally unique identifier |
None. |
|
| SolarId | globally unique identifier |
None. |
|
| SolarName | string |
None. |
|
| PanelType | string |
None. |
|
| TypeOfSystem | string |
None. |
|
| ModeType | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"mySolarId": "17009657-ec7c-4984-817f-076224b8b25a",
"registrationId": "8864b57f-d29c-4b15-b3bc-1d07c6d704a6",
"solarId": "2b14b711-ae65-4e9a-89a7-75d75a541bda",
"solarName": "sample string 4",
"panelType": "sample string 5",
"typeOfSystem": "sample string 6",
"modeType": "sample string 7"
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |